libzypp 17.37.10

ztui::Out::Info Struct Reference

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::Out::Info:

## Public Member Functions
| NON_COPYABLE (Info)
| Info (Out &out_r)
| Info (Out::Info &&rhs) noexcept
| ~Info ()
template<class Tp>
std::ostream & | operator<< (const Tp &val)
| operator std::ostream & ()
std::ostream & | stream ()

## Private Attributes
std::unique_ptr< std::ostringstream > | _str

## Additional Inherited Members
Protected Member Functions inherited from ztui::Out::ParentOut
| ParentOut (Out &out_r)
Out & | out ()

## Detailed Description

Definition at line 647 of file Out.h.

## Constructor & Destructor Documentation

## ◆ Info() [1/2]

ztui::Out::Info::Info | ( | Out & | out_r | ) |
| inline

Definition at line 651 of file Out.h.

## ◆ Info() [2/2]

ztui::Out::Info::Info | ( | Out::Info && | rhs | ) |
| inline noexcept

Definition at line 656 of file Out.h.

## ◆ ~Info()

ztui::Out::Info::~Info | ( |  | ) |
| inline

Definition at line 661 of file Out.h.

## Member Function Documentation

## ◆ NON_COPYABLE()

ztui::Out::Info::NON_COPYABLE | ( | Info |  | ) |

## ◆ operator<<()

template<class Tp>

std::ostream & ztui::Out::Info::operator<< | ( | const Tp & | val | ) |
| inline

Definition at line 665 of file Out.h.

## ◆ operator std::ostream &()

ztui::Out::Info::operator std::ostream & | ( |  | ) |
| inline

Definition at line 668 of file Out.h.

## ◆ stream()

std::ostream & ztui::Out::Info::stream | ( |  | ) |
| inline

Definition at line 671 of file Out.h.

## Member Data Documentation

## ◆ _str

std::unique_ptr<std::ostringstream> ztui::Out::Info::_str
| private

Definition at line 675 of file Out.h.

The documentation for this struct was generated from the following file:

- zypp-tui/output/Out.h